/**
* DevExtreme (ui/slide_out_view.d.ts)
* Version: 18.2.16
* Build date: Fri Dec 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxSlideOutView(): JQuery;
    dxSlideOutView(options: "instance"): DevExpress.ui.dxSlideOutView;
    dxSlideOutView(options: string): any;
    dxSlideOutView(options: string, ...params: any[]): any;
    dxSlideOutView(options: DevExpress.ui.dxSlideOutViewOptions): JQuery;
}
}
export default DevExpress.ui.dxSlideOutView;
export type Options = DevExpress.ui.dxSlideOutViewOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxSlideOutViewOptions;